<bugID>1064603<Summary>Continue after pause on exception should fully unwind exception</Summary><Description>After an exception causes the debugger to break, continuing execution doesn't do more than unwind one frame of the callstack. That means if the exception is thrown 5 frame stacks below where it's caught, I have to press F8 5 times before execution actually continues.

After talking to jimb on IRC, I assume that this is a deliberate decision to, in jimb's words "[..] make it more transparent what frames the exception is getting propagated past, and where it's getting caught."

I think that this use case is fully covered by single stepping: when I do that, I'd fully expect each step to unwind a single frame until the exception is caught or the stack exhausted.

Continue, OTOH, should do what it sounds like, and continue execution. Again in jimb's words: "once we've paused for a given exception, it seems like a 'continue' should sort of consider that exception to be "dealt with", in a sense, and just let it propagate freely."</Description></bugID>